下载  >  开发技术  >  Java  > struts-2.3.15.1-lib.zip官方jar包

struts-2.3.15.1-lib.zip官方jar包 评分:

Struts2 被发现存在新的高危远程代码执行漏洞,可造成服务器被入侵,官方已经发布了新的版本进行修复。将struts2升级到目前的最新版2.3.15.1版本进行修复,防止被外部黑客利用攻击。

...展开详情
2013-07-18 上传 大小:24.1MB
举报 收藏 (2)
分享

评论 下载该资源后可以进行评论 共14条

qinglong379 还行,不是struts2官网的全部,够用
2018-11-23
回复
njxiaogui 不错的资源,正是我所需的资源,先谢啦!解决漏洞
2017-09-29
回复
huanxin2008 还行,不是struts2官网的全部,只有lib部分
2017-06-14
回复
mytestid 赞一个吧,赞完再试验。
2016-08-24
回复
woyidinghuiying 可用,还好没浪费我5分
2016-01-20
回复
struts2从2.3.15.1升级到2.3.35

struts2从2.3.15.1升级到2.3.35相关配置说明,在附件中包含有2.3.15.1版本的jar包和2.3.35版本的jar包,以及升级过程中值得注意的事项

立即下载
struts-2.3.15.1 jar包

struts-2.3.15.1 jar包

立即下载
Struts-2.3.15.3

struts2框架开发至少需要的jar包。

立即下载
struts2-core-2.3.15.1.jar

struts2-core-2.3.15.1.jar

立即下载
struts2-core-2.3.15.3.jar

Apache Struts Copyright 2000-2011 The Apache Software Foundation This product includes software developed by The Apache Software Foundation (http://www.apache.org/). Dojo (http://dojotoolkit.org/). domTT (http://www.mojavelinux.com/projects/domtooltip/). The binary distributions includes the follo

立即下载
Struts2.3.15的完整jar包

这个Struts2.3.15所需要的完整jar包是通过自己整合Struts2.3.15+Hibernate 3.6.10+Spring 3.2.4框架的过程中,摸索出来的。可以放心使用.

立即下载
struts-2.3.15.1

此漏洞影响Struts2.0-Struts2.3所有版本,可直接导致服务器被黑客远程控制,从而引起数据泄露。漏洞根源在于,DefaultActionMapper类支持以"action:"、"redirect:"、"redirectAction:"作为导航或是重定向前缀,但是这些前缀后面同时可以跟OGNL表达式,由于struts2没有对这些前缀做过滤,导致利用OGNL表达式调用java静态方法执行任意系统命令。 所以及早换jar struts-2.3.15.1

立即下载
struts-2.3.15.1官网jar包

这是我从官网上下载的最新jar包,分享给大家!

立即下载
struts-2.3.15.3-all.zip

struts-2.3.15.3-all.zip,没有示例和文档,只有lib及下而所有的包

立即下载
struts-2.3.15.3-lib

struts-2.3.15.3-lib,struts-2.3.15以前版本存在严重BUG,此版本已解决。

立即下载
2.3.15.1 版本以前 struts2漏洞利用工具 和升级到2.3.15.1版本

2.3.15.1 版本以前 struts2漏洞利用工具 和升级到2.3.15.1版本

立即下载
struts2lib包

struts2开发必须引用的的lib包,struts2-core-2.3.14.3.jar,xwork-core-2.3.14.3.jar,ognl-3.0.6.jar,freemarker-2.3.19.jar,commons-fileupload-1.2.2.jar,commons-logging-1.1.1.jar

立即下载